fnom_odb='Biax_66.odb'
fnom_COORD='res-COORD_Biax_66.tmt'
fnom_RF='res-RF_Biax_66.tmt'
fsignal_fin_coord_disp='fin_disp.tmp'


import os,sys
from odbAccess import *

#-----------------------------------------#
# ## DATA ##
# opening of the odb file
myodb=openOdb(fnom_odb)
mySTEP=myodb.steps['Loading']
n_SET=myodb.rootAssembly.instances['SPECIMEN-1'].nodeSets
timepoints=(0,0.2,0.4,0.6,0.8,1)

#%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
#			Coordinates o/p
#%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
#Writing X Coordinates of markers
coordFile = open(fnom_COORD,'w')
coordFile.write('RP1\tRP2\tRP3\tRP4\n')
for timepoint in timepoints:
	myFRAME=mySTEP.getFrame(frameValue=timepoint)
	myNSET=n_SET['RP1']
	myCOORD=myFRAME.fieldOutputs['COORD'].getSubset(region=myNSET)
	v=myCOORD.values
	for s in v:
		coordFile.write('%f\t' %(s.data[0]))
	myNSET=n_SET['RP2']
	myCOORD=myFRAME.fieldOutputs['COORD'].getSubset(region=myNSET)
	v=myCOORD.values
	for s in v:
		coordFile.write('%f\t' %(s.data[0]))
	myNSET=n_SET['RP3']
	myCOORD=myFRAME.fieldOutputs['COORD'].getSubset(region=myNSET)
	v=myCOORD.values
	for s in v:
		coordFile.write('%f\t' %(s.data[0]))
	myNSET=n_SET['RP4']
	myCOORD=myFRAME.fieldOutputs['COORD'].getSubset(region=myNSET)
	v=myCOORD.values
	for s in v:
		coordFile.write('%f\t' %(s.data[0]))
	coordFile.write('\n')

#Writing Y Coordinates of markers
for timepoint in timepoints:
	myFRAME=mySTEP.getFrame(frameValue=timepoint)
	myNSET=n_SET['RP1']
	myCOORD=myFRAME.fieldOutputs['COORD'].getSubset(region=myNSET)
	v=myCOORD.values
	for s in v:
		coordFile.write('%f\t' %(s.data[1]))
	myNSET=n_SET['RP2']
	myCOORD=myFRAME.fieldOutputs['COORD'].getSubset(region=myNSET)
	v=myCOORD.values
	for s in v:
		coordFile.write('%f\t' %(s.data[1]))
	myNSET=n_SET['RP3']
	myCOORD=myFRAME.fieldOutputs['COORD'].getSubset(region=myNSET)
	v=myCOORD.values
	for s in v:
		coordFile.write('%f\t' %(s.data[1]))
	myNSET=n_SET['RP4']
	myCOORD=myFRAME.fieldOutputs['COORD'].getSubset(region=myNSET)
	v=myCOORD.values
	for s in v:
		coordFile.write('%f\t' %(s.data[1]))
	coordFile.write('\n')
coordFile.close()

#%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
#			Reaction Forces o/p
#%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

#Writing RF of X-hooks
rfFile = open(fnom_RF,'w')
rfFile.write('hook_A\thook_A\thook_A\thook_A\thook_B\thook_B\thook_B\thook_B\t\n')
for timepoint in timepoints:
	myFRAME=mySTEP.getFrame(frameValue=timepoint)
	myNSET=n_SET['LOAD_X']
	myCOORD=myFRAME.fieldOutputs['RF'].getSubset(region=myNSET)
	v=myCOORD.values
	for s in v:
		rfFile.write('%f\t' %(s.data[0]))
	rfFile.write('\n')

#Writing RF of Y-hooks
for timepoint in timepoints:
	myFRAME=mySTEP.getFrame(frameValue=timepoint)
	myNSET=n_SET['LOAD_Y']
	myCOORD=myFRAME.fieldOutputs['RF'].getSubset(region=myNSET)
	v=myCOORD.values
	for s in v:
		rfFile.write('%f\t' %(s.data[1]))
	rfFile.write('\n')
rfFile.close()


#-----------------------------------------#
# closing of the odb file
myodb.close()


# writing end signal
fdone = open(fsignal_fin_coord_disp, 'w')
fdone.close()